Package com.databricks.jdbc.api

## Interface IDatabricksConnection

All Superinterfaces:
  `AutoCloseable`, `Connection`, `Wrapper`

All Known Implementing Classes:
  `DatabricksConnection`

    public interface IDatabricksConnection
    extends Connection

Interface providing Databricks specific Connection APIs.

### Field Summary

### Fields inherited from interface java.sql.Connection

`TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `closeStatement​(IDatabricksStatement statement)` Closes a statement from the connection's active set.
`Connection` `getConnection()` Returns the corresponding sql connection object
`IDatabricksConnectionContext` `getConnectionContext()` Returns the connection context associated with the connection.
`IDatabricksSession` `getSession()` Returns the underlying session for the connection.
`Statement` `getStatement​(String statementId)` Returns the statement handle for given statement-Id
`IDatabricksVolumeClient` `getVolumeClient()` Returns the respective volume client instance.
`void` `open()` Opens the connection and initiates the underlying session

### Methods inherited from interface java.sql.Connection

`abort, beginRequest, clearWarnings, close, commit, createArrayOf, createBlob, createClob, createNClob, createSQLXML, createStatement, createStatement, createStatement, createStruct, endRequest, getAutoCommit, getCatalog, getClientInfo, getClientInfo, getHoldability, getMetaData, getNetworkTimeout, getSchema, getTransactionIsolation, getTypeMap, getWarnings, isClosed, isReadOnly, isValid, nativeSQL, prepareCall, prepareCall, prepareCall, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, releaseSavepoint, rollback, rollback, setAutoCommit, setCatalog, setClientInfo, setClientInfo, setHoldability, setNetworkTimeout, setReadOnly, setSavepoint, setSavepoint, setSchema, setShardingKey, setShardingKey, setShardingKeyIfValid, setShardingKeyIfValid, setTransactionIsolation, setTypeMap`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Method Detail

#### getSession

    IDatabricksSession getSession()

Returns the underlying session for the connection.

#### closeStatement

    void closeStatement​(IDatabricksStatement statement)

Closes a statement from the connection's active set.

Parameters:
  `statement` - `IDatabricksStatement` to be closed

#### getConnection

    Connection getConnection()

Returns the corresponding sql connection object

#### getVolumeClient

    IDatabricksVolumeClient getVolumeClient()

Returns the respective volume client instance. Currently supports - UCVolumeClient and DBFSVolumeClient

#### open

    void open()
       throws DatabricksSQLException

Opens the connection and initiates the underlying session

Throws:
  `DatabricksSQLException`

#### getConnectionContext

    IDatabricksConnectionContext getConnectionContext()

Returns the connection context associated with the connection.

#### getStatement

    Statement getStatement​(String statementId)
                    throws SQLException

Returns the statement handle for given statement-Id

Throws:
  `SQLException`